#include <stdio.h>
#include <pthread.h>
#include <semaphore.h>

#include "asim/provides/connected_application.h"
#include "asim/provides/stats_device.h"


using namespace std;

int g_resQCount;
pthread_mutex_t lock_gVar;
// constructor
CONNECTED_APPLICATION_CLASS::CONNECTED_APPLICATION_CLASS(VIRTUAL_PLATFORM vp) :
  clientStub(new PROCESSORSYSTEMRRR_CLIENT_STUB_CLASS(this))
{
// 	g_resQCount = 0; 
	compressed_buffer = (unsigned int*)malloc(sizeof(unsigned int)*1024*4*4);
	pthread_mutex_init(&lock_gVar, NULL);
	/*
	fcompressed = fopen("compressed.bin", "rb");
	if ( !fcompressed ) {
		printf( "compressed.bin failed to open!!\n" );
		fflush(stdout);
		exit(1);
	}*/
	printf( "Class Generated!!\n" );
	fflush(stdout);
}

// destructor
CONNECTED_APPLICATION_CLASS::~CONNECTED_APPLICATION_CLASS()
{
}

// init
void
CONNECTED_APPLICATION_CLASS::Init()
{
  // enable stats 
	printf( "Class Init - " );
	fflush(stdout);
  STATS_DEVICE_SERVER_CLASS::GetInstance()->SetupStats();
	printf( "Class Init!!\n" );
	fflush(stdout);
}

// main
void
CONNECTED_APPLICATION_CLASS::Main()
{
  int sleepCount = 0;
  int result = 0;

	printf( "Starting Decompressor!%d\n", g_resQCount );
  fflush(stdout); 
	while(1) {}
	/*
	while (1) {
		if ( g_resQCount > 0 ) {
			printf("resQCount %d \n", g_resQCount);fflush(stdout);
			pthread_mutex_lock(&lock_gVar);
			unsigned int readc = 0;

			while ( g_resQCount > 0 ) {
				int fsize = g_resQCount;
				if ( fsize > 1024 ) fsize = 1024;
				readc = fread(compressed_buffer, sizeof(unsigned int), fsize * 4 * 4, fcompressed);
				readc = readc/4/4;
				int idx = 0;
				for ( idx = 0; idx < readc; idx++ ) {
					unsigned int* rv = compressed_buffer + idx * 4 * 4;
					clientStub->RespCompressed(
						rv[0], rv[1], rv[2], rv[3],
						rv[4+0], rv[4+1], rv[4+2], rv[4+3],
						rv[8+0], rv[8+1], rv[8+2], rv[8+3],
						rv[12+0], rv[12+1], rv[12+2], rv[12+3]
					);
					g_resQCount --;
					//printf("resQCount Sent%d/%d %d\n", idx, readc, g_resQCount);fflush(stdout);
				}
			}
			pthread_mutex_unlock(&lock_gVar);
			printf("resQCount End\n");fflush(stdout);
		}
	}*/

	/*
	//method ReadDecompressed  (out UINT32[32] value0, out UINT32[32] value1, out UINT32[32] value2, in UINT32[32] dummy);

	OUT_TYPE_ReadDecompressed rv = clientStub->ReadDecompressed(0);
	unsigned char traceType = rv.value0 >> 16;
	while ( traceType != 5 ) { // doneVal
		traceType = rv.value0 >> 16;
		unsigned char size = (rv.value0 >> 8) % 32;
		unsigned char target = rv.value0 % 256;
		printf( "~%d[%d:%d] %x %x\n", traceType, size, target, rv.value1, rv.value2 );

		rv = clientStub->ReadDecompressed(0);	
	}*/
/*
  while ((result = clientStub->ReadCPUToHost(0)) != 1) {
    sleep(1);
    //printf("System controller sleeps with result: %d\n", result);
    sleepCount++;
    if(sleepCount == 10000) {
      printf("Failed to get response from hardware, bailing\n\n");
      printf("This means that either your hardware is hanging\n");
      printf("or that the software hasn't given it enough time\n");
      printf("to complete.  If you think it needs more time, then\n");
      printf("edit CONNECTED_APPLICATION_CLASS::Main() in ProcessorSystem.cpp\n");
      printf("(connected_application)\n");
      exit(0);
    }
  }
 */
 	while(1) {
	}
  if(result == 1) {
    printf("\n***PASSED***\n");
  }

  // Dump the stats file

  STATS_DEVICE_SERVER_CLASS::GetInstance()->DumpStats();
  STATS_DEVICE_SERVER_CLASS::GetInstance()->EmitFile();

  fflush(stdout); 
  exit(0);
}
